// Makemyday App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
var app = angular.module('makemydayApp', ['ionic', 'makemydayApp.controllers','makemydayApp.services','ngCordova'])

app.config(function($stateProvider, $urlRouterProvider) {
 
  $stateProvider
	  .state('welcome', {
		url: '/',
		templateUrl: 'templates/welcome.html',
		controller: 'WelcomeController'
	  })
	  .state('register', {
		url: '/register',
		templateUrl: 'templates/register.html',
		controller: 'RegisterController'
	  })
	  .state('login', {
		url: '/login',
		templateUrl: 'templates/login.html',
		controller: 'LoginController'
	  })
	  .state('passwordReset', {
		url: '/passwordReset',
		templateUrl: 'templates/passwordReset.html',
		controller: 'PasswordResetController'
	  })
	  .state('menu', {
		url: '/menu',
		abstract: true,
	    templateUrl: 'templates/menu.html',
        controller: 'MenuController'
	  })
	  .state('menu.home', {
	    url: '/home',
	    cache: false,
	    views: {
	      'menuContent': {
	        templateUrl: 'templates/home.html',
	        controller: 'HomeController'
	      }
	    }
	  })
	  .state('menu.search', {
		url: '/search',
		cache: false,
	    views: {
		     'menuContent': {
		       templateUrl: 'templates/search.html',
				controller: 'SearchController'
		     }
	   }
	  })
	  .state('menu.geo', {
	    url: '/geo',
	    cache: false,
	    views: {
	      'menuContent': {
	        templateUrl: 'templates/geolocation.html',
	        controller: 'GeoController'
	      }
	    }
	  })
	  .state('menu.account', {
	    url: '/account',
	    cache: false,
	    views: {
	      'menuContent': {
	        templateUrl: 'templates/account.html',
	        controller: 'AccountController'
	      }
	    }
	  })
	  .state('menu.profile', {
	    url: '/profile',
	    cache: false,
	    views: {
	      'menuContent': {
	        templateUrl: 'templates/myProfile.html',
	        controller: 'MyProfileController'
	      }
	    }
	  })
	  .state('menu.favs', {
	    url: '/favs',
	    views: {
	      'menuContent': {
	        templateUrl: 'templates/favs.html',
	        controller: 'FavsController'
	      }
	    }
	  })
	  .state('menu.tags', {
	    url: '/tags',
	    cache: false,
	    views: {
	      'menuContent': {
	        templateUrl: 'templates/tags.html',
	        controller: 'TagsController'
	      }
	    }
	  })
	  .state('menu.profileUser', {
		url: '/profileUser/:id',
	    views: {
	         'menuContent' :{
	           templateUrl: "templates/profileUser.html",
	           controller: 'ProfileUserController'
	         }
	    }
	  })
	  .state('menu.diaries', {
	    url: '/diaries',
	    views: {
	         'menuContent' :{
	           templateUrl: "templates/diaries.html"
	         }
	    }
	  })
	  .state('menu.tagDetail', {
		url: '/tagDetail/:type',
	    views: {
	         'menuContent' :{
	           templateUrl: "templates/tagDetail.html",
	           controller: 'TagDetailController'
	         }
	    }
	  })
	  .state('logout', {
	    url: '/',
	    templateUrl: 'templates/welcome.html',
	    controller: 'LogoutController'
	  })
	  ;
  $urlRouterProvider.otherwise("/");
 
});

app.run(function($ionicPlatform) {
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if(window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
    }
    if(window.StatusBar) {
      StatusBar.styleDefault();
    }

	Parse.initialize("1FJXCxUE2AJT9OVypbwVGqWevZD4sG1kDPdjaXd2", "GS2iFVwWCTbyahRPlPAwoYuPuXMUMpc9AiZMWWxN");
	
  })
});


