beforeEach(module('makemydayApp'))
//instantiate the controller and mocks for every test
beforeEach(inject(function($controller, $q) {  
    deferredLogin = $q.defer();

    // mock loginMock
    loginMock = {
        login: jasmine.createSpy('login spy')
                      .and.returnValue(deferredLogin.promise)           
    };

    // mock $state
    stateMock = jasmine.createSpyObj('$state spy', ['go']);

    // mock $ionicPopup
    ionicPopupMock = jasmine.createSpyObj('$ionicPopup spy', ['alert']);

    // instantiate LoginController
    controller = $controller('LoginController', { 
                    '$ionicPopup': ionicPopupMock, 
                    '$state': stateMock,
                    '$loginService' : loginMock
                    }
                 );
}))
//call doLogin on the controller for every test
beforeEach(inject(function(_$rootScope_) {  
    $rootScope = _$rootScope_;
    controller.username = 'test1';
    controller.password = 'password1';
    controller.login();
}))
describe('LoginController', function() {

    var controller, 
        deferredLogin,
        loginMock,
        stateMock,
        ionicPopupMock;

    // TODO: Load the App Module

    // TODO: Instantiate the Controller and Mocks

    describe('#login', function() {

        // TODO: Call doLogin on the Controller

        it('should call login ', function() {
            expect(loginMock.login).toHaveBeenCalledWith('test1', 'password1'); 
        });

        describe('when the login is executed,', function() {
            it('if successful, should go to the home page', function() {

                // TODO: Mock the login response from DinnerService

                expect(stateMock.go).toHaveBeenCalledWith('menu.home');
                deferredLogin.resolve();  
                $rootScope.$digest();
            });

            it('if unsuccessful, should show a popup', function() {

                // TODO: Mock the login response from DinnerService

                expect(ionicPopupMock.alert).toHaveBeenCalled();
                deferredLogin.reject();  
                $rootScope.$digest();
            });
        });
    })
});